﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SLRadWindow.ViewModels;

namespace SLRadWindow.Commands
{
    public class WindowSelectionCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            string source = Convert.ToString(parameter);

            var mainViewModel = Application.Current.Resources["mainViewModel"] as MainViewModel;

            if (mainViewModel == null)
            {
                return;
            }

            if (source == "Yes")
            {
                //If the user checks yes, change the icon to "thumbs up"
                mainViewModel.WindowIconUriString = "SuccessIcon.png";
            }
            else if (source == "No")
            {
                //if the user selected no, then change to the "thumbs down" icon
                mainViewModel.WindowIconUriString = "FailIcon.png";
            }
            else if(source == "Cancel")
            {
                //
                mainViewModel.WindowIconUriString = "CancelIcon.png";
            }
        }

        public event EventHandler CanExecuteChanged;
    }
}
